Upstream information

CVE-2010-0409 at MITRE

Description

Buffer overflow in the GMIME_UUENCODE_LEN macro in gmime/gmime-encodings.h in GMime before 2.4.15 allows context-dependent attackers to cause a denial of service (application crash) or possibly execute arbitrary code via input data for a uuencode operation.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 576923 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • gmime >= 2.2.23-1.41.1
  • gmime-doc >= 2.2.23-1.41.1
  • libgmime-2_0-3 >= 2.2.23-1.41.1
Patchnames:
slessp0-gmime
SUSE Linux Enterprise Server 11 SP1
  • gmime >= 2.2.23-1.41.1
  • gmime-2_4 >= 2.4.8-1.2.55
  • gmime-doc >= 2.2.23-1.41.1
  • libgmime-2_0-3 >= 2.2.23-1.41.1
  • libgmime-2_4-2 >= 2.4.8-1.2.55
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA gmime
SUSE Linux Enterprise Server 11 SP2
  • gmime >= 2.2.23-1.50.1
  • gmime-2_4 >= 2.4.8-1.2.55
  • gmime-doc >= 2.2.23-1.50.1
  • libgmime-2_0-3 >= 2.2.23-1.50.1
  • libgmime-2_4-2 >= 2.4.8-1.2.55
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA gmime
SUSE Linux Enterprise Server 11 SP3
  • gmime >= 2.2.23-1.50.1
  • gmime-2_4 >= 2.4.8-1.2.55
  • gmime-doc >= 2.2.23-1.50.1
  • libgmime-2_0-3 >= 2.2.23-1.50.1
  • libgmime-2_4-2 >= 2.4.8-1.2.55
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA gmime
SUSE Linux Enterprise Server 11 SP4
  • gmime >= 2.2.23-1.50.1
  • gmime-2_4 >= 2.4.8-1.2.55
  • gmime-doc >= 2.2.23-1.50.1
  • libgmime-2_0-3 >= 2.2.23-1.50.1
  • libgmime-2_4-2 >= 2.4.8-1.2.55
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA gmime
SUSE Linux Enterprise Software Development Kit 11 SP4
  • gmime-2_4-devel >= 2.4.8-1.2.55
  • gmime-devel >= 2.2.23-1.50.1
  • gmime-sharp >= 2.2.23-1.50.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA gmime-2_4-devel
openSUSE 11.2
  • gmime-2_4-debuginfo >= 2.4.8-2.5.1
  • gmime-2_4-debugsource >= 2.4.8-2.5.1
  • libgmime-2_4-2-debuginfo >= 2.4.8-2.5.1
openSUSE 11.2
  • gmime-2_4 >= 2.4.8-2.5.1
  • gmime-2_4-devel >= 2.4.8-2.5.1
  • gmime-2_4-doc >= 2.4.8-2.5.1
  • gmime-2_4-sharp >= 2.4.8-2.5.1
  • libgmime-2_4-2 >= 2.4.8-2.5.1
SUSE Linux Enterprise SDK 11 GA
  • gmime-devel >= 2.2.23-1.41.1
  • gmime-sharp >= 2.2.23-1.41.1
sle11-sdk.s390x
sled11.x86
sles11.s390x
sle11-sdk.ia64
sles11.ppc
sle11-debuginfo.ia64
sles11.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
sles11.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sle11-debuginfo.x86
sle11-sdk.x86-64
sles11.x86-64
sle11-sdk.x86
sled11.x86-64
SAT Patch Nr: 1998
SUSE Linux Enterprise SDK 11 GA
  • gmime-devel >= 2.2.23-1.41.1
sle11-sdk.s390x
sled11.x86
sles11.s390x
sle11-sdk.ia64
sles11.ppc
sle11-debuginfo.ia64
sles11.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
sles11.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sle11-debuginfo.x86
sle11-sdk.x86-64
sles11.x86-64
sle11-sdk.x86
sled11.x86-64
SAT Patch Nr: 1998
SUSE Linux Enterprise Desktop 11 GA
  • gmime >= 2.2.23-1.41.1
  • gmime-sharp >= 2.2.23-1.41.1
  • libgmime-2_0-3 >= 2.2.23-1.41.1
sle11-sdk.s390x
sled11.x86
sles11.s390x
sle11-sdk.ia64
sles11.ppc
sle11-debuginfo.ia64
sles11.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
sles11.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sle11-debuginfo.x86
sle11-sdk.x86-64
sles11.x86-64
sle11-sdk.x86
sled11.x86-64
SAT Patch Nr: 1998
SUSE Linux Enterprise Server 11 GA
  • gmime >= 2.2.23-1.41.1
  • gmime-doc >= 2.2.23-1.41.1
  • libgmime-2_0-3 >= 2.2.23-1.41.1
sle11-sdk.s390x
sled11.x86
sles11.s390x
sle11-sdk.ia64
sles11.ppc
sle11-debuginfo.ia64
sles11.x86
sle11-debuginfo.s390x
sle11-sdk.ppc
sles11.ia64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sle11-debuginfo.x86
sle11-sdk.x86-64
sles11.x86-64
sle11-sdk.x86
sled11.x86-64
SAT Patch Nr: 1998
openSUSE 11.0
  • gmime-debuginfo >= 2.2.18-28.2
  • gmime-debugsource >= 2.2.18-28.2
openSUSE 11.0
  • gmime >= 2.2.18-28.2
  • gmime-devel >= 2.2.18-28.2
  • gmime-doc >= 2.2.18-28.2
  • gmime-sharp >= 2.2.18-28.2
  • libgmime-2_0-3 >= 2.2.18-28.2
openSUSE 11.1
  • gmime-debuginfo >= 2.2.23-1.31.1
  • gmime-debugsource >= 2.2.23-1.31.1
openSUSE 11.1
  • gmime >= 2.2.23-1.31.1
  • gmime-devel >= 2.2.23-1.31.1
  • gmime-doc >= 2.2.23-1.31.1
  • gmime-sharp >= 2.2.23-1.31.1
  • libgmime-2_0-3 >= 2.2.23-1.31.1
openSUSE 11.2
  • gmime-debuginfo >= 2.2.23-4.5.1
  • gmime-debugsource >= 2.2.23-4.5.1
  • libgmime-2_0-3-debuginfo >= 2.2.23-4.5.1
openSUSE 11.2
  • gmime >= 2.2.23-4.5.1
  • gmime-devel >= 2.2.23-4.5.1
  • gmime-doc >= 2.2.23-4.5.1
  • gmime-sharp >= 2.2.23-4.5.1
  • libgmime-2_0-3 >= 2.2.23-4.5.1


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA gmime Released
SUSE Linux Enterprise Desktop 11 SP1 gmime Released
SUSE Linux Enterprise Desktop 11 SP2 gmime Released
SUSE Linux Enterprise SDK 11 GA gmime Released
SUSE Linux Enterprise SDK 11 SP1 gmime Released
SUSE Linux Enterprise Server 10 SP4 LTSS gmime Affected
SUSE Linux Enterprise Server 11 SP1 gmime Released
SUSE Linux Enterprise Server 11 SP1 LTSS gmime Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 gmime Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 gmime Released